using System;
using System.Data;
using System.Data.SqlClient;
using System.Web;
using System.IO;
using UUN;
using System.Collections;
using System.Text;

public partial class wClub_MessageContent:System.Web.UI.Page
{
	//------------------------------
	// 此文件代码由工具自动生成
	// 2010-5-23 10:49:27
	// UUNSOFT.COM 版权所有
	//------------------------------
	private 访问 访问;
	private StringBuilder 返回值;
	protected void Page_Load(object sender,EventArgs e)
	{
		访问 = new 访问(this.Context);
		访问.是否前台=true;
		访问.是否WML=true;
		访问.开始处理("消息列表","网站页面","消息列表",new 访问.回调委托(ZhiXing));
		访问.关闭连接();
	}
	private void ZhiXing()
	{
		返回值=new StringBuilder();

	访问.验证会员();
	当前页面="MessageContent.aspx";
	一页显示记录数=获取一页显示记录数();
	类型=Convert.ToInt32(Request.QueryString["Act"]);
	跳页表单项="<postfield name=\"Act\" value=\""+类型+"\" />"+
		"<postfield name=\""+程序.设置["标识名称"]+"\" value=\""+访问.用户["标识"]+"\" />";
	_3G跳页表单项="<input type=\"hidden\" name=\"Act\" value=\""+类型+"\" />"+
		"<input type=\"hidden\" name=\""+程序.设置["标识名称"]+"\" value=\""+访问.用户["标识"]+"\" />";
	
		String 数量语句SQL="SELECT COUNT(ID) FROM ["+程序.数据表前缀+"社区_消息] WHERE ";

		switch(类型)
		{
			case 0:
				数量语句SQL+="[目标用户ID]="+访问.用户["ID"]+" AND [是否已读]=0 AND [目标已删除]=0";
				break;
			case 1:
				数量语句SQL+="[目标用户ID]="+访问.用户["ID"]+" AND [是否系统消息]=1";
				break;
			case 2:
				数量语句SQL+="[目标用户ID]="+访问.用户["ID"]+" AND [目标已删除]=0 AND [是否系统消息]=0";
				break;
			default:
				数量语句SQL+="[用户ID]="+访问.用户["ID"]+" AND [已删除]=0 AND [是否系统消息]=0";
				break;
		}
		SqlCommand 数量语句=new SqlCommand(数量语句SQL,访问.连接);
		当前页=Convert.ToInt32(Request.QueryString["page"]);
		总记录数=Convert.ToInt32(数量语句.ExecuteScalar());
		总页数=常用.计算总页数(总记录数,一页显示记录数);
		当前页=常用.计算当前页(总页数,当前页);
		返回值.Append(@"<?xml version=""1.0"" encoding=""utf-8""?>
<!DOCTYPE wml PUBLIC ""-//WAPFORUM//DTD WML 1.1//EN"" ""http://www.wapforum.org/DTD/wml_1.1.xml"">
<wml>
<head>
<meta http-equiv=""Cache-Control"" content=""max-age=0"" />
</head>

<card title=""消息列表"">
<p>
");
		返回值.Append(new 消息(this.Context,访问.连接).弹出消息(访问.用户));
		返回值.Append(@"

<a href=""Message_Send.aspx?rurl=");
		返回值.Append(Server.UrlEncode(Request.Url.ToString()));
		返回值.Append(@"&amp;");
		返回值.Append(Server.HtmlEncode(程序.设置["标识名称"].ToString()));
		返回值.Append(@"=");
		返回值.Append(访问.用户["标识"].ToString());
		返回值.Append(@""">发送消息</a><br/>
----------<br/>


");
		消息列表8FJDBKI1();
		返回值.Append(@"
");
		if(总页数<2)
		{
		}
		else
		{
		返回值.Append(@"(当前第 ");
		返回值.Append(当前页);
		返回值.Append(@" 页)<br/>
");
		返回值.Append(偏移地址9M0TK57B());
		返回值.Append(偏移地址KA3Z9XJA());
		返回值.Append(偏移地址YUFJP3MC());
		返回值.Append(偏移地址TXEFRMVF());
		返回值.Append(偏移地址JFCVS9BV());
		返回值.Append(偏移地址3UD34A7F());
		返回值.Append(@"<br/>
跳到 <input type=""text"" name=""page"" format=""*N"" size=""5"" value=""2"" /> 页 <anchor><go href=""");
		返回值.Append(当前页面);
		返回值.Append(@""" method=""get"">");
		返回值.Append(跳页表单项);
		返回值.Append(@"<postfield name=""page"" value=""$(page)"" /></go>GO</anchor><br/>");
		}
		返回值.Append(@"

----------<br/>

<a href=""Message.aspx?");
		返回值.Append(Server.HtmlEncode(程序.设置["标识名称"].ToString()));
		返回值.Append(@"=");
		返回值.Append(访问.用户["标识"].ToString());
		返回值.Append(@""">返回我的消息</a><br/>
<a href=""User_Default.aspx?");
		返回值.Append(Server.HtmlEncode(程序.设置["标识名称"].ToString()));
		返回值.Append(@"=");
		返回值.Append(访问.用户["标识"].ToString());
		返回值.Append(@""">返回个人中心</a><br/>


<a href=""");
		返回值.Append(Server.HtmlEncode(常用.处理地址(程序.安装位置+"club/page.aspx?ID=1",访问.用户["标识"].ToString())));
		返回值.Append(@""">返回社区首页</a><br/>

<a href=""");
		返回值.Append(Server.HtmlEncode(常用.处理地址(程序.安装位置+"page.aspx?ID=1",访问.用户["标识"].ToString())));
		返回值.Append(@""">返回首页</a><br/>

");
		返回值.Append(DateTime.Now.ToString(@"MM月dd日 HH:mm"));
		返回值.Append(@"
</p>
</card>
</wml>");
		Response.Write(返回值);
		Response.Write("<!-- Powered by www.uunsoft.com -->");
	}

	private String 当前页面;
	//参数
	private String 跳页表单项;
	private String _3G跳页表单项;
	//列表分页
	private int 当前页;
	private int 总页数;
	private int 总记录数;
	private int 一页显示记录数;
	private int 类型;

	private String 列表跳页(int 页码)
	{
		return Server.HtmlEncode(常用.处理地址(当前页面+"?Act="+类型+"&page="+页码,访问.用户["标识"].ToString()));
	}
	private String 生成余下全部地址()
	{
		return "";
	}
	private void 消息列表8FJDBKI1()
	{
		if(总记录数<1)
			返回值.Append(@"暂时没有消息<br/>");
		String 语句SQL="SELECT [ID],[用户ID],[用户昵称],[目标用户ID],[目标用户昵称],[是否系统消息],[消息内容] FROM ["+程序.数据表前缀+"社区_消息] WHERE ";

		switch(类型)
		{
			case 0:
				语句SQL+="[目标用户ID]="+访问.用户["ID"]+" AND [是否已读]=0 AND [目标已删除]=0";
				break;
			case 1:
				语句SQL+="[目标用户ID]="+访问.用户["ID"]+" AND [是否系统消息]=1";
				break;
			case 2:
				语句SQL+="[目标用户ID]="+访问.用户["ID"]+" AND [目标已删除]=0 AND [是否系统消息]=0";
				break;
			default:
				语句SQL+="[用户ID]="+访问.用户["ID"]+" AND [已删除]=0 AND [是否系统消息]=0";
				break;
		}
		语句SQL+=" ORDER BY [发送时间] DESC";
		SqlCommand 语句=new SqlCommand(语句SQL,访问.连接);
		DataSet 数据=new DataSet();
		SqlDataAdapter 填充=new SqlDataAdapter(语句);
		填充.Fill(数据,(当前页-1)*一页显示记录数,一页显示记录数,"表");
		for(int i=0;i<数据.Tables[0].Rows.Count;i++)
		{
			DataRow 行=数据.Tables[0].Rows[i];
			返回值.Append(@"");
			返回值.Append((当前页-1)*一页显示记录数+i+1);
			返回值.Append(@".");
			返回值.Append(Convert.ToBoolean(行["是否系统消息"])?"系统消息:":"<a href=\""+Server.HtmlEncode(常用.处理地址("User.aspx?ID="+行["用户ID"]+"&rurl="+Server.UrlEncode(Request.Url.ToString()),访问.用户["标识"].ToString()))+"\">"+Server.HtmlEncode(行["用户昵称"].ToString())+"("+行["用户ID"]+")</a>对<a href=\""+Server.HtmlEncode(常用.处理地址("User.aspx?ID="+行["目标用户ID"]+"&rurl="+Server.UrlEncode(Request.Url.ToString()),访问.用户["标识"].ToString()))+"\">"+Server.HtmlEncode(行["目标用户昵称"].ToString())+"("+行["目标用户ID"]+")</a>说:");
			返回值.Append(@"");
			返回值.Append(Server.HtmlEncode(行["消息内容"].ToString()).Replace("\r\n","<br/>"));
			返回值.Append(@"");
			返回值.Append((Convert.ToBoolean(行["是否系统消息"])?"":"<a href=\""+Server.HtmlEncode(常用.处理地址("Message_Send2.aspx?ID="+(Convert.ToInt32(行["用户ID"])==Convert.ToInt32(访问.用户["ID"])?行["目标用户ID"].ToString():行["用户ID"].ToString())+"&rurl="+Server.UrlEncode(Request.Url.ToString()),访问.用户["标识"].ToString()))+"\">聊天</a>.")+"<a href=\""+Server.HtmlEncode(常用.处理地址("Message_Delete.aspx?ID="+行["ID"]+"&rurl="+Server.UrlEncode(Request.Url.ToString()),访问.用户["标识"].ToString()))+"\">删除</a>");
			返回值.Append(@"<br/>");
		}
		}

		private String 偏移地址9M0TK57B()
		{
			String 返回值="";
			int 页数=当前页+1;
			if(页数>0&&页数<=总页数)
			{
				返回值+=@"<a href=""";
				返回值+=列表跳页(页数);
				返回值+=@""">下页</a>
";

			}
			else
			{

			}

			return 返回值;
		}

		private String 偏移地址KA3Z9XJA()
		{
			String 返回值="";
			int 页数=当前页+2;
			if(页数>0&&页数<=总页数)
			{
				返回值+=@"<a href=""";
				返回值+=列表跳页(页数);
				返回值+=@""">[";
				返回值+=页数.ToString();
				返回值+=@"]</a>
";

			}
			else
			{

			}

			return 返回值;
		}

		private String 偏移地址YUFJP3MC()
		{
			String 返回值="";
			int 页数=当前页+3;
			if(页数>0&&页数<=总页数)
			{
				返回值+=@"<a href=""";
				返回值+=列表跳页(页数);
				返回值+=@""">[";
				返回值+=页数.ToString();
				返回值+=@"]</a>
";

			}
			else
			{

			}

			return 返回值;
		}

		private String 偏移地址TXEFRMVF()
		{
			String 返回值="";
			int 页数=当前页+4;
			if(页数>0&&页数<=总页数)
			{
				返回值+=@"<a href=""";
				返回值+=列表跳页(页数);
				返回值+=@""">[";
				返回值+=页数.ToString();
				返回值+=@"]</a>
";

			}
			else
			{

			}

			return 返回值;
		}

		private String 偏移地址JFCVS9BV()
		{
			String 返回值="";
			int 页数=当前页+5;
			if(页数>0&&页数<=总页数)
			{
				返回值+=@"<a href=""";
				返回值+=列表跳页(页数);
				返回值+=@""">&gt;&gt;</a>
";

			}
			else
			{

			}

			return 返回值;
		}

		private String 偏移地址3UD34A7F()
		{
			String 返回值="";
			int 页数=当前页+-1;
			if(页数>0&&页数<=总页数)
			{
				返回值+=@"<a href=""";
				返回值+=列表跳页(页数);
				返回值+=@""">上页</a>
";

			}
			else
			{

			}

			return 返回值;
		}
	private int 获取一页显示记录数()
	{
		return 访问.获取一页显示记录数();

	}
}